module qduc_if (
        ap_clk,
        ap_rst_n,
        input_V_V_TDATA,
        input_V_V_TVALID,
        input_V_V_TREADY,
        out_V_V_TDATA,
        out_V_V_TVALID,
        out_V_V_TREADY,
        tist_V_V_TDATA,
        tist_V_V_TVALID,
        tist_V_V_TREADY,
        cnt_V,
        sfn_en_n,
        sfn_delay_V
)/*synthesis syn_black_box*/;
input   ap_clk;
input   ap_rst_n;
input  [35:0] input_V_V_TDATA;
input   input_V_V_TVALID;
output   input_V_V_TREADY;
output  [17:0] out_V_V_TDATA;
output   out_V_V_TVALID;
input   out_V_V_TREADY;
input  [7:0] tist_V_V_TDATA;
input   tist_V_V_TVALID;
output   tist_V_V_TREADY;
input  [41:0] cnt_V;
input   sfn_en_n;
input  [13:0] sfn_delay_V;
endmodule

